<html><head>
    <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
    <title>imnorm</title>
    <style type="text/css" media="all">
      @import url("scilab_code.css");
      @import url("xml_code.css");
      @import url("c_code.css");
      @import url("style.css");
    </style>
  </head>
  <body>
    <div class="manualnavbar">
    <table width="100%"><tr>
      <td width="30%">
    	<span class="previous"><a href="imgraythresh.html">&lt;&lt; imgraythresh</a></span>

      </td>
      <td width="40%" class="center">
      	<span class="top"><a href="section_4f70f8509a7f440576b73059bcc6829d.html">Image Types and Color Space Conversions</a></span>

      </td>
      <td width="30%" class="next">
      	<span class="next"><a href="ind2rgb.html">ind2rgb &gt;&gt;</a></span>

      </td>
    </tr></table>
      <hr />
    </div>



    <span class="path"><a href="index.html">IPCV - Image Processing and Computer Vision Toolbox for Scilab</a> &gt;&gt; <a href="section_4f70f8509a7f440576b73059bcc6829d.html">Image Types and Color Space Conversions</a> &gt; imnorm</span>

    <br /><br />
    <div class="refnamediv"><h1 class="refname">imnorm</h1>
    <p class="refpurpose">Normalize input 2-D Image to the range of 0-1 for double, or 0-255 for uint8</p></div>


<div class="refsynopsisdiv"><h3 class="title">Syntax</h3>
   <div class="synopsis"><pre><span class="default">y</span><span class="default"> = </span><span class="functionid">imnorm</span><span class="default">(</span><span class="default">x</span><span class="default">)</span></pre></div></div>

<div class="refsection"><h3 class="title">Parameters</h3>
   <dl><dt><span class="term">x :</span>
      <dd><p class="para">Input 2-D matrix</p></dd></dt>
   <dt><span class="term">y :</span>
      <dd><p class="para">Normalized output matrix</p></dd></dt></dl></div>

<div class="refsection"><h3 class="title">Description</h3>
   <p class="para">This function is used to normalized the 2-D matrix to the range of 0-1, or 0-255 for uint8,
to ensure the 2-D matrix follows the image representation standard in double or uint8 format.</p>
   <p class="para"></p></div>

<div class="refsection"><h3 class="title">Examples</h3>
   <div class="programlisting"><table border="0" width="100%"><tr><td width="98%"><pre class="scilabcode"><span class="scilabid">s</span> <span class="scilaboperator">=</span> <a class="scilabcommand" href="scilab://rand">rand</a><span class="scilabopenclose">(</span><span class="scilabnumber">5</span><span class="scilabdefault">,</span><span class="scilabnumber">5</span><span class="scilabopenclose">)</span><span class="scilabdefault">;</span>
<span class="scilabid">s2</span> <span class="scilaboperator">=</span> <span class="scilabid">imnorm</span><span class="scilabopenclose">(</span><span class="scilabid">s</span><span class="scilabopenclose">)</span><span class="scilabdefault">;</span>
<a class="scilabcommand" href="scilab://disp">disp</a><span class="scilabopenclose">(</span><span class="scilabid">s2</span><span class="scilabopenclose">)</span><span class="scilabdefault">;</span></pre></td><td valign="top"><a href="scilab://scilab.execexample/"><img src="ScilabExecute.png" border="0"/></a></td><td valign="top"><a href="scilab://scilab.editexample/"><img src="ScilabEdit.png" border="0"/></a></td><td></td></tr></table></div></div>

<div class="refsection"><h3 class="title">See also</h3>
   <ul class="itemizedlist"></ul></div>

<div class="refsection"><h3 class="title">Authors</h3>
   <ul class="itemizedlist"><li class="member">Tan Chin Luh</li></ul></div>
    <br />

    <div class="manualnavbar">
    <table width="100%">
    <tr><td colspan="3" class="next"><a href="http://bugzilla.scilab.org/enter_bug.cgi?product=Scilab%20software&component=Documentation%20pages" class="ulink">Report an issue</a></td></tr>
<tr>
      <td width="30%">
    	<span class="previous"><a href="imgraythresh.html">&lt;&lt; imgraythresh</a></span>

      </td>
      <td width="40%" class="center">
      	<span class="top"><a href="section_4f70f8509a7f440576b73059bcc6829d.html">Image Types and Color Space Conversions</a></span>

      </td>
      <td width="30%" class="next">
      	<span class="next"><a href="ind2rgb.html">ind2rgb &gt;&gt;</a></span>

      </td>
    </tr></table>
      <hr />
    </div>
  </body>
</html>
